import messages, { decode } from "./network/messages";

const url = "ws://localhost:9000";
const protocols = ["odyssey-1-unstable"];
const webSocket = new WebSocket(url, protocols);
webSocket.binaryType = "arraybuffer";
webSocket.onopen = function (event) {
  console.log(event);
  webSocket.send(messages.Hello());
};
webSocket.onmessage = function (ev) {
  const data = decode(ev.data);
  console.log("Received ", data);
};
